-
Tough Android Tablet
S917V12 7 inch Rugged Android Industrial Tablet Pc;
Read More
Key features;
√Android 12.0 system
√Qualcomm QCM6125 Octa core CPU, 2.0GHz
√RAM+ROM 4GB + 64GB Optional 6GB+128GB... -
VDSL2 TESTER Support 30a 35b tdr
Supports ISP login and IP Ping test Rechargeable Li-ion Battery Supportoptical power meter, VFL function Support cable tracing, check line sequence, landline telephone function Support cable...
Read More -
Handheld VDSL2/VDSL/XDSL tester
DSL Physical layer test Modem Emulation (Replace the user Modem completely) PPPoE Dialing (RFC1683,RFC2684,RFC2516) PPPoA Dialing (RFC2364) Telephone Function DMM Test Ping Function (WAN & LAN)
Read More -
Telecom Test PDA Android13 S6
SENTER S6 Telecom Test PDA Designed for Telecom Maintenance and Installation Team. Android 13 Platform, OPM...
Read More -
Handheld Optical Power Meter
800-1700nm wave length 850nm,1300nm,1310nm,1490nm,1550nm,1625nm six kinds of wavelength calibration points used for linearity and non-linearity test display both direct and relative test of...
Read More -
Portable Handheld Optical Fiber Power Meter ST/FC/SC/LC/
1. Brief introduction With a wide range of functions, ST800K-U optical power meter is a powerful tool for use in fiber-optic installation and maintenance. Its rugged, durable construction makes it...
Read More -
VDSL xDSL tester
ST332B VDSL tester is multi-functional hand-held VDSL2 test instrument with small size, specially designed for xDSL line test (xDSL include: ADSL, ADSL2, ADSL2+, READSL, VDSL2 etc) and maintenance...
Read More -
Telecom Test PDA VDSL2 Tester
S337 V7 Telecom Test PDA VDSL2 Tester/TDR/PON Power meter/network Analyzer/VFL/OPM/ optical fiber tester
Read More





















